You are not logged in.

#1 2013-04-27 05:29:26

konfiot
Member
Registered: 2013-04-23
Posts: 13

Impossible to build libindicator3

Hello everybody,
I'm trying to build libindicator3 from the AUR in order to install lightdm-pantheon-greeter, but build fails and I'm not able tofinish the installation
here you can see the output : http://pastebin.com/HsCSeUvd
do you have any ideas ? (maybe building with another version of GCC or downloading the last nightly of libindicator)
thanks in advance

Last edited by konfiot (2013-04-27 06:03:25)

Offline

#2 2013-04-27 05:44:26

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 19,385
Website

Re: Impossible to build libindicator3

Please paste your output in English: https://wiki.archlinux.org/index.php/Fo … s_and_Code

And build it without yaourt.

Moving to AUR Issues...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2013-04-27 05:51:57

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,138

Re: Impossible to build libindicator3

The code needs to be updated for new versions of GTK+. There are workarounds, check the comments for the libindicator package.

Offline

#4 2013-04-27 06:08:52

konfiot
Member
Registered: 2013-04-23
Posts: 13

Re: Impossible to build libindicator3

I had all false ... I have edited my first post with a pastebin link in english. but I am building with yaourt, I just have pasted the building process of libindicator because the other part of the process didn't contains useful things
Oh, I didn't saw that there was a libindicator package, I read the comments and found the solution, you just have to put export CFLAGS="$CFLAGS -Wno-deprecated-declarations -Wno-unused-local-typedefs" on the top of the build function in the PKGBUILD
Thanks for your really fast answers !

Offline

#5 2013-04-27 07:06:57

konfiot
Member
Registered: 2013-04-23
Posts: 13

Re: Impossible to build libindicator3

It's not really the topic, but I have another problem while building lightdm-pantheon-greeter, this time, cmake says that it doesn't find the granite package even if this package is already installed (here's the paste, in english this time http://pastebin.com/kK8BW5iP)
I saw another post saying that I just have to add -DCMAKE_INSTALL_PREFIX=/usr in the pkgbuild, but this option id already set both in granite and lightdm-pantheon-greeter

Offline

#6 2013-04-29 06:29:02

konfiot
Member
Registered: 2013-04-23
Posts: 13

Re: Impossible to build libindicator3

I found another PKGBUILD on the aur : http://pastebin.com/373KcegN the user said that it would make other programs to recognize granite, but it didn't work for me ...

Offline

Board footer

Powered by FluxBB